#!/bin/sh

TMP=/tmp/zwavejs.$$
DEST=$(realpath ${1:-zwavejs_data.zip})

mkdir -p ${TMP}
cat > ${TMP}/00-COPYRIGHT-AND-LICENSE-INFO <<EOM
-----------------------------------------------------------------------------
Copyright (C) 2022 Kedron Holdings LLC, All Rights Reserved
Reactor is licensed software. All files contained in this archive are part of
Reactor and subject to license terms. See https://reactor.toggledbits.com/
-----------------------------------------------------------------------------
.
EOM
echo "Converting YAML to JSON in ${TMP}"
node ../../utils/yaml2json zwavejs_capabilities.yaml ${TMP}/zwavejs_capabilities.json
node ../../utils/yaml2json zwavejs_devices.yaml ${TMP}/zwavejs_devices.json
mkdir -p ${TMP}/manufacturer
for i in manufacturer/*.yaml; do
    node ../../utils/yaml2json ${i} ${TMP}/${i%.yaml}.json
done

echo "Creating ZIP archive ${DEST}"
rm -f ../../config/zwavejs_data.zip
P=$(pwd)
cd ${TMP} && zip -r -q -z ${DEST} . < ${TMP}/00-COPYRIGHT-AND-LICENSE-INFO
cd ${P} && rm -rf ${TMP}

scp -i ~/ubuntu@aws-reactor.pem ${DEST} ubuntu@reactor.toggledbits.com:/var/www/html/download/zwavejs/